%define git 20151002

%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	The OpenCL extension wrangler library
Name:		clew
Version:	0.10
Release:	1.%{git}.2
License:	Boost
Group:		System/Libraries
Url:		https://github.com/martijnberger/clew
# git snaphot
Source0:	%{name}-%{version}-%{git}.tar.bz2
Patch0:		clew-0.10-20151002-soname.patch
Patch1:		clew-0.10-20151002-libcl.so.1-location.patch
Patch2:		clew-0.10-20151002-libdir.patch
BuildRequires:	cmake

%description
The OpenCL extension wrangler library. This basically works like glew,
but for OpenCL. You can build OpenCL code without needing any OpenCL
library or include files. At runtime, even if there is no OpenCL-enabled
device present, your code will still run! Of course, you wont be able to
do anything OpenCL-related, but you wont get any errors about missing
libraries and stuff, no linker errors (at least, not until you try to use
a non-existent OpenCL-enabled device of course).

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The OpenCL extension wrangler library
Group:		System/Libraries

%description -n %{libname}
The OpenCL extension wrangler library. This basically works like glew,
but for OpenCL. You can build OpenCL code without needing any OpenCL
library or include files. At runtime, even if there is no OpenCL-enabled
device present, your code will still run! Of course, you wont be able to
do anything OpenCL-related, but you wont get any errors about missing
libraries and stuff, no linker errors (at least, not until you try to use
a non-existent OpenCL-enabled device of course).

%files -n %{libname}
%doc README.md LICENSE.md
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the OpenCL extension wrangler library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for the OpenCL extension wrangler library.

%files -n %{devname}
%doc README.md LICENSE.md
%{_includedir}/clew.h
%{_includedir}/proxy-opencl/CL/*.h
%{_includedir}/proxy-opencl/OpenCL/*.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{git}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%cmake \
	-DINSTALL_CL_HEADER:BOOL=ON
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_bindir}/clewTest


%changelog

* Sun Feb 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.10-1.20151002.2
- (02ff2bf) Fix development package Provides


